Send a free form engagement message.

A free form message can only be sent while the destination number is in the customer service window.

Example request:

POST /whatsapp/v1/messages/engagement
{
"businessPhoneNumberId": "841234567890",
"recipient": "27000000001",
"content": "Hello World!"
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≥ 1

The id of the business phone number to send the message from

string | null

This field can contain a phone number or a BSUID.

string | null

This is a legacy field that we are keeping around until all customers have migrated to using the Recipient field. It is recommended to use the Recipient field instead of this one.

string | null

Optional identifier that can be supplied at send time to help customers track their messages

string | null

WhatsApp supports [address, audio, contacts, document, image, interactive, location, location request, reaction, sticker, template, text and video].
This field specifies what type of message is being sent.

string | null

The text content of the message. Populated when Type is "text".

image
object
sticker
object
video
object
audio
object
document
object
interactive
object
location
object
contacts
array of objects | null

Contacts payload. Populated when Type is "contacts".

contacts
recipientIdentity
object
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json